Debian Bug report logs - #735489
x11-xserver-utils: Use autotools-dev to keep config.{sub, guess} up to date for portability

version graph

Package: src:x11-xserver-utils; Maintainer for src:x11-xserver-utils is Debian X Strike Force <debian-x@lists.debian.org>;

Reported by: Wookey <wookey@wookware.org>

Date: Wed, 15 Jan 2014 18:33:01 UTC

Severity: normal

Tags: patch

Found in version x11-xserver-utils/7.7+1

Fixed in version x11-xserver-utils/7.7+2

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#735489; Package src:x11-xserver-utils. (Wed, 15 Jan 2014 18:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 15 Jan 2014 18:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: x11-xserver-utils: Use autotools-dev to keep config.{sub, guess} up to date for portability
Date: Wed, 15 Jan 2014 18:29:37 +0000
[Message part 1 (text/plain, inline)]
Source: x11-xserver-utils
Version: 7.7+1
Severity: normal
Tags: patch
User: debian-arm@lists.debian.org
Usertag: arm64

This package FTBFS on the forthcoming arm64 architecture due to
config.{sub,guess} being too old. This patch uses autotools-dev and the
debhelper dh_autotools* commands to update them before configre and
clean them at the end.

This is a nice solution which will work for other new architectures in
the future. (hopefully it will become default debhelper behaviour at
some point).

You could alternatively choose to do a full dh_autoreconf which is a
more thorough excercise and generally a good thing, but that may need
packaging changes to work. This patch is non-intrusive and tested.

-- System Information:
Debian Release: 7.3
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-kvm-i386-20110111 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[x11-xserver-utils_7.7+1-autoconfig-update.patch (text/x-diff, attachment)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sun, 19 Jan 2014 09:24:15 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Sun, 19 Jan 2014 09:24:15 GMT) Full text and rfc822 format available.

Message #10 received at 735489-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 735489-close@bugs.debian.org
Subject: Bug#735489: fixed in x11-xserver-utils 7.7+2
Date: Sun, 19 Jan 2014 09:21:34 +0000
Source: x11-xserver-utils
Source-Version: 7.7+2

We believe that the bug you reported is fixed in the latest version of
x11-xserver-utils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 735489@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated x11-xserver-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 19 Jan 2014 09:38:17 +0100
Source: x11-xserver-utils
Binary: x11-xserver-utils
Architecture: source amd64
Version: 7.7+2
Distribution: sid
Urgency: medium
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 x11-xserver-utils - X server utilities
Closes: 735489
Changes: 
 x11-xserver-utils (7.7+2) unstable; urgency=medium
 .
   * Remove Cyril Brulebois from Uploaders.
   * Bump to debhelper compat level 7 and use dh with the autoreconf addon.
     Should make arm64 happy and closes: #735489.  Thanks, Wookey!
Checksums-Sha1: 
 cfd0e655bb920739219655f291be4bcb3439c45f 1935 x11-xserver-utils_7.7+2.dsc
 2720d4b2d2d8d3793a86af277dfaf5d757bb603d 2513075 x11-xserver-utils_7.7+2.tar.gz
 d43d4bdca5782c8c0d1ad5355a55b4bb84a4adf0 156784 x11-xserver-utils_7.7+2_amd64.deb
Checksums-Sha256: 
 6ef8a9c35b25dfd21720e137999fda8b57b8aeb3332e25681fcf5f821aa302b8 1935 x11-xserver-utils_7.7+2.dsc
 99d5c26a927393e0c97c13c5f334371b13d321a3355547112164a48700760808 2513075 x11-xserver-utils_7.7+2.tar.gz
 45867a5405263274ba837dfbe417cc40fbe0659f2196d52e57fc696ba8120c54 156784 x11-xserver-utils_7.7+2_amd64.deb
Files: 
 565123d27aa63d87b4dfae56ac48c9d0 1935 x11 optional x11-xserver-utils_7.7+2.dsc
 322ffa89ccc44a97e376783f12ee9ef0 2513075 x11 optional x11-xserver-utils_7.7+2.tar.gz
 1ad93d5dc1ef4d8c9304af74d8b7bdd6 156784 x11 optional x11-xserver-utils_7.7+2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBAgAGBQJS25LgAAoJEDEBgAUJBeQMb5QP/A2F3yfNOiFJTW6QDbI3nhne
p3dMkrIKEE9iOGKZbTsMVBnqyuI51UW9zeyFxvqrlKP+zXvZPUVN9RhlvfWwzTYT
GIovDDA+cnD2T7T+7tEzXJAxTFM4bGFjSAKgutHrsNUQ+71aFLEEInuFiqFsA5LD
SvoTm5TqtRv5IOy11F889kQQksbArUkZ6Dsoeu92fMTxNgtghhzu+OEnCQkqJ+qt
sWwsGYSGF9oppIKHykfgWi9ivEbgwoCn7W3wsm275vW7Tcx/WvUN3DJSw+TCTnzx
kuxKiYOmDULHKSehTFe7xbkNAMMG7S7K9zDSl4XeZjQYJcEXVLCmVf9OCTgpEovD
HdDtkSkGx5XQcDkf2aBGQqUY2UiTfW3XDqoEw1uilFQQKYv4whkytPBCUZ9k4nnP
DWulV6tq0da1myTgPMYSXpuMYmdqhmWKE0+hFvJdW+CXp+NskzDBHWDKgj53mR95
FR2WUL3XV0ePJN+sVGvVU4cjar9+R3juw51BST7WjGi4cg9BhSVXp91fxWemM+DT
EPfDGpZjMKRuZ5QDOVi96+6fA/EgoaerRlLBW8NWDOKd3qWNjXnWCSTrOhSbvDdu
1f8CeDL0dznk7IirnTRBb3d00SYkNLVK1BD2cW32P/s5B4DyNJeutwalj6lrshkD
IiTY8QfpiW9WK52ZAzgZ
=euhq
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 22 Feb 2014 07:35:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:29:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.